---
sourceDocument: Australia API Reference
sourceDocumentLink: https://servicenow-prod.fluidtopics.net/r/de-DE/api-reference

 Release :

    - australia

ft:locale :

    - de-DE

ft:publication_title :

    - Australia API Reference

ft:clusterId :

    - crapiref

bundleId :

    - crapiref

workflow :

    - Creator


---

# Party Management Open API

# Party Management Open API {#ariaid-title1}

* Freigeben Version: Australia
* 
* Aktualisiert 12. März 2026
* 
* ![](https://www.servicenow.com/docs/portal-asset/ico-clock) 67 Minuten Lesedauer

The Party Management Open API provides endpoints for managing parties with a relationship to the enterprise, like a consumer, account, or contact. Use this API to create, update, and retrieve data from the
Consumer \[csm_consumer\], Account \[customer_account\], and Contact \[customer_contact\] tables.
The Party Management Open API is a ServiceNow® implementation of the TM Forum Party Management API REST specification. This implementation is based on the [TMF632 Party Management API Conformance Profile v5.0.0 -- TM Forum](https://www.tmforum.org/resources/reference/tmf632b-party-management-api-conformance-profile-v5-0-0/), June 2025. The Party Management Open API is conformance certified by TM Forum.

This API is provided within the sn_tmf_api namespace. The calling user must have the sn_tmf_api.party_integrator role. The Customer Service Base Entities (com.snc.cs_base) plugin is required, particularly for all GET operations.

This API can be extended to make customizations around required parameters, request body validation, additional REST operations, and field mappings. Sensitive fields like phone numbers may require special ACL permissions for update or
retrieval.

## Party Management -- DELETE /api/sn_tmf_api/v1/party/individual/{id} {#ariaid-title2}

Inactivates a specified record from the Consumer \[csm_consumer\] and Contact \[customer_contact\] tables.

### URL format

Versioned URL: /api/sn_tmf_api/{api_version}/party/individual/{id}

Default URL: /api/sn_tmf_api/v1/party/individual/{id}

### Supported request parameters

{#partymgmt-DELETE-individual-id__entry__2}{#partymgmt-DELETE-individual-id__version-not_optional-RESTAPI}

| Name | Description |
|-|-|
| api_version | Optional. Version of the endpoint to access. For example, <kbd class="ph userinput">v1</kbd> or <kbd class="ph userinput">v2</kbd>. Only specify this value to use an endpoint version other than the latest. Data type: String |
| id | Sys_id or external_id of the Consumer or Contact record to set to an inactive state. Table: Consumer \[csm_consumer\] and Contact \[customer_contact\]. Data type: String |
[Tabelle : 1. Path parameters]

{#partymgmt-DELETE-individual-id__entry__8}

| Name | Description |
|-|-|
| None |   |
[Tabelle : 2. Query parameters]

{#partymgmt-DELETE-individual-id__entry__12}

| Name | Description |
|-|-|
| None |   |
[Tabelle : 3. Request body parameters (XML or JSON)]

### Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://servicenow-prod.fluidtopics.net/8lFZRln4AVFM64buP1Dvmg "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#partymgmt-DELETE-individual-id__entry__16}{#partymgmt-DELETE-individual-id__accept-RESTAPI}

| Header | Description |
|-|-|
| Accept | Data format of the response body. Supported types: application/json or application/xml. Default: application/json |
[Tabelle : 4. Request headers]

{#partymgmt-DELETE-individual-id__entry__20}

| Header | Description |
|-|-|
| None |   |
[Tabelle : 5. Response headers]

### Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://servicenow-prod.fluidtopics.net/8lFZRln4AVFM64buP1Dvmg "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#partymgmt-DELETE-individual-id__entry__24}{#partymgmt-DELETE-individual-id__entry-200-status-code}{#partymgmt-DELETE-individual-id__entry-400-status-code}

| Status code | Description |
|-|-|
| 200 | Successful. The request was successfully processed. |
| 400 | Bad Request. A bad request type or malformed request was detected. |
[Tabelle : 6. Status codes]

### Response body parameters (JSON or XML)

{#partymgmt-DELETE-individual-id__entry__30}

| Name | Description |
|-|-|
| None |   |
[ ]

### cURL request

The following example deletes the given record.

    curl "http://instance.service-now.com/api/sn_tmf_api/v1/party/individual/dca96eaa11f43110f877366201dea6c1" \
    --request DELETE \
    --header "Accept:application/json" \
    --user 'user':'password' \

Doesn't return a response body. Reference status codes for a success or failure indicator.

## Party Management -- GET /api/sn_tmf_api/v1/party/individual {#ariaid-title3}

Retrieves a list of all individual (party) records with a relationship to the enterprise. You can filter results by specific fields or IDs.

### URL format

Versioned URL: /api/sn_tmf_api/v1/party/individual

Default URL: /api/sn_tmf_api/v1/party/individual

### Supported request parameters

{#partymgmt-GET-individual__entry__2}{#partymgmt-GET-individual__version-not_optional-RESTAPI}

| Name | Description |
|-|-|
| api_version | Optional. Version of the endpoint to access. For example, <kbd class="ph userinput">v1</kbd> or <kbd class="ph userinput">v2</kbd>. Only specify this value to use an endpoint version other than the latest. Data type: String |
[Tabelle : 7. Path parameters]

{#partymgmt-GET-individual__entry__6}

| Name | Description |
|-|-|
| fields | List of fields to return in the response. Invalid fields are ignored. Valid fields: * @type * familyName * gender * givenName * href * id * middleName * name * nationality * status * title {#partymgmt-GET-individual__ul_cgv_ywm_3hc} Data type: String Default: Returns all fields. |
| id | Filter party management by sys_id. Specified sys_ids are returned in the response. Data type: String |
| limit | Maximum number of records to return. For requests that exceed this number of records, use the offset parameter to paginate record retrieval. Data type: Number Default: 20 Maximum: 100 |
| offset | Starting index at which to begin retrieving records. Use this value to paginate record retrieval. Data type: Number Default: 0 |
[Tabelle : 8. Query parameters]

{#partymgmt-GET-individual__entry__16}

| Name | Description |
|-|-|
| None |   |
[Tabelle : 9. Request body parameters (XML or JSON)]

### Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://servicenow-prod.fluidtopics.net/8lFZRln4AVFM64buP1Dvmg "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#partymgmt-GET-individual__entry__20}{#partymgmt-GET-individual__accept-RESTAPI}

| Header | Description |
|-|-|
| Accept | Data format of the response body. Supported types: application/json or application/xml. Default: application/json |
[Tabelle : 10. Request headers]

{#partymgmt-GET-individual__entry__24}

| Header | Description |
|-|-|
| Content-Range | Range of content returned in a paginated call. For example, if offset=2 and limit=3, the value of the Content-Range header is items 3-5. |
| Content-Type | Data format of the response body. Only supports application/json. |
| Link | Contains the following links to navigate through query results: * first * last * next * previous {#partymgmt-GET-individual__ul_lwd_rxm_3hc} |
| X-Total-Count | For paginated queries, this header specifies the total number of records available on the server. |
[Tabelle : 11. Response headers]

### Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://servicenow-prod.fluidtopics.net/8lFZRln4AVFM64buP1Dvmg "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#partymgmt-GET-individual__entry__34}

| Status code | Description |
|-|-|
| 200 | Request successfully processed. Full resource returned in response (no pagination). |
| 206 | Partial resource returned in response (with pagination). |
| 400 | Bad request. Possible reasons: * Invalid path parameter * Invalid URI {#partymgmt-GET-individual__ul_dz4_5xm_3hc} |
| 404 | Record not found. No records matching the query parameters are found in the table. |
[Tabelle : 12. Status codes]

### Response body parameters (JSON or XML)

{#partymgmt-GET-individual__id_eyq_bh4_3hc__entry__2}

| Name | Description |
|-|-|
| contactMedium | List of means for contacting the party. Data type: Array of Objects "contactMedium": [ { "@type": "String", "city": "String", "country": "String", "emailAddress": "String", "locationId": "String", "mediumType": "String", "phoneNumber": "String", "postCode": "String", "preferred": "Boolean", "stateOrProvince": "String", "street1": "String", "street2": "String" } ] |
| contactMedium.@type | Type of contacting party. Indicates the specific schema or subclass type of the object. Possible values: * BusinessPhoneContactMedium: Business phone number * EmailContactMedium: Email address * FaxPhoneContactMedium: Fax number * GeographicAddressContactMedium: Physical address (street, city, state, postal code) * HomePhoneContactMedium: Home phone number * MobilePhoneContactMedium: Mobile number {#partymgmt-GET-individual__ul_l4j_kw3_jhc} Data type: String |
| contactMedium.city | City of the individual. Data type: String |
| contactMedium.country | Country of the individual. Data type: String |
| contactMedium.emailAddress | Email address of the contact. Data type: String |
| contactMedium.locationId | Sys_id of the party location. Table: Location \[cmn_location\] Data type: String |
| contactMedium.mediumType | The type of contact medium. Indicates the business-level attribute that specifies the kind of contact channel being used. Possible values: * email * businessPhone * homePhone * mobilePhone * postalAddress {#partymgmt-GET-individual__ul_zvs_1f4_3hc} Data type: String |
| contactMedium.phoneNumber | Phone number of the individual. Data type: String |
| contactMedium.postCode | Postcode of the individual. Data type: String |
| contactMedium.preferred | This value is always false. Data type: Boolean |
| contactMedium.stateOrProvince | Indicates whether the location is from a state or province. Possible values: * state * province {#partymgmt-GET-individual__ul_g4d_s24_3hc} Data type: String |
| contactMedium.street1 | Describes the street. Data type: String |
| contactMedium.street2 | Complementary street description. Data type: String |
| familyName | Last name of the individual. Data type: String |
| gender | Gender of the individual. Data type: String |
| givenName | First name of the individual. Data type: String |
| href | Relative link to the user or consumer or contact record. Data type: String |
| id | Sys_id of the user or consumer or contact record to retrieve. Tables: Consumer \[csm_consumer\] or Contact \[customer_contact\] Data type: String |
| middleName | Middle name of the individual. Data type: String |
| name | User name of the user or contact individual. Data type: String |
| nationality | Nationality of the individual. Data type: String |
| partyCharacteristics | List of characteristics associated with the party. Data type: Array of Objects "partyCharacteristics": [ { "@type": "String", "name": " String", "value": "String", "valueType": "String" } ] |
| partyCharacteristics.@type | When subclassing, this defines the subclass extensible name. Possible values: * StringCharacteristic * StringArrayCharacteristic * IntegerCharacteristic * BooleanCharacteristic {#partymgmt-GET-individual__ul_bws_1f4_3hc} Data type: String |
| partyCharacteristics.name | Name of the party characteristic. Data type: String |
| partyCharacteristics.value | Value of the party characteristic. Data type: String |
| partyCharacteristics.valueType | Data type of the characteristic's value. Data type: String |
| partyOrPartyRole | Roles related to this party are defined where the party is created in table. For example, `User`, `Consumer`, `Customer Contact`. partyOrPartyRole indicates which type of record is retrieved in the operation. If the provided sys_id belongs to the Consumer \[csm_consumer\] table, then partyOrPartyRole.role is set to `Consumer`. Likewise, if the sys_id belongs to the Contact \[customer_contact\] table, then partyOrPartyRole.role is set to `Contact`. Data type: Object "partyOrPartyRole": { "@type": "String", "role":"String" } |
| partyOrPartyRole.@type | This value is always `Party`. Data type: String |
| partyOrPartyRole.role | Type of party role. Possible values: * Consumer * Contact {#partymgmt-GET-individual__ul_cws_1f4_3hc} Data type: String |
| relatedParty | List of parties or party roles related to this party. Data type: Array of Objects "relatedParty": [ { "role": "String", "partyOrPartyRole": {Object} } ] |
| relatedParty.partyOrPartyRole | Represents information about the related party and the role it plays in the context of the record. For example, if the role is `Company`, then partyOrPartyRole.id contains the sys_id of the Company \[core_company\] record, and partyOrPartyRole.name contains the company's name. This structure ensures that both the party reference and its role are explicitly defined and easily identifiable. Data type: Object "partyOrPartyRole": { "@type": "String", "id": "String", "name": "String" } |
| relatedParty.partyOrPartyRole.@type | Type of the related party. Possible value for user: * Organization * Individual {#partymgmt-GET-individual__ul_ews_1f4_3hc} Data type: String |
| relatedParty.partyOrPartyRole.id | Sys_id of the related party. * Possible value for `user`: * Company * Department {#partymgmt-GET-individual__ul_fws_1f4_3hc} * Possible value for `customer`: Account * Possible value for `consumer`: User {#partymgmt-GET-individual__ul_qdd_nq3_jhc} Data type: String |
| relatedParty.partyOrPartyRole.name | Name of the related party. Data type: String |
| relatedParty.role | Business role that the related party plays in the context of the current entity. Possible values: * Company (if related party is User) * Department (if related party is User) * Account (if related party is Customer) * User (if related party is Consumer) {#partymgmt-GET-individual__ul_qbh_py3_jhc} Data type: String |
| status | Flag that indicates the status of the individual. Valid values: * active: Individual is in an active status. * inactive: Individual is in an inactive status. {#partymgmt-GET-individual__ul_hws_1f4_3hc} Data type: Boolean |
| title | Prefix or title of the individual. For example, `Dr.`, `Mr.`, `Ms.`). Data type: String |
[ ]

{#partymgmt-GET-individual__id_eyq_bh4_3hc}  

### cURL request

Retrieves a list of all party management records in the instance.

    curl"http://instance.servicenow.com/api/v1/sn_tmf_api/party/individual" \
    --request GET \
    --header "Accept:application/json" \
    --user 'user:password' 

Response body for a Individual Contact party.

    [
    {
       "id": "34d92aaa11f43110f877366201dea67b",
       "href": "api/sn_tmf_api/party/individual/34d92aaa11f43110f877366201dea67b",
       "name": "carlos.star",
       "givenName": "Carlos",
       "middleName": "",
       "familyName": "Star",
       "gender": "",
       "title": "",
       "partyCharacteristics": [
         {
           "name": "notification",
           "value": "Enable",
           "valueType": "string",
           "@type": "StringCharacteristic"
         },
         {
           "name": "preferredLanguage",
           "value": "",
           "valueType": "string",
           "@type": "StringCharacteristic"
         },
         {
           "name": "dateFormat",
           "value": "",
           "valueType": "string",
           "@type": "StringCharacteristic"
         },
         {
           "name": "timeFormat",
           "value": "",
           "valueType": "string",
           "@type": "StringCharacteristic"
         },
         {
           "name": "timeZone",
           "value": "",
           "valueType": "string",
           "@type": "StringCharacteristic"
         },
         {
           "name": "vip",
           "value": false,
           "valueType": "boolean",
           "@type": "BooleanCharacteristic"
         },
         {
           "name": "webServiceAccessOnly",
           "value": false,
           "valueType": "boolean",
           "@type": "BooleanCharacteristic"
         },
         {
           "name": "source",
           "value": "",
           "valueType": "string",
           "@type": "StringCharacteristic"
         },
         {
           "name": "eduStatus",
           "value": "Faculty",
           "valueType": "string",
           "@type": "StringCharacteristic"
         }
       ],
       "contactMedium": [
         {
           "preferred": false,
           "mediumType": "email",
           "emailAddress": "carlos.star@example.com",
           "@type": "EmailContactMedium"
         },
         {
           "preferred": false,
           "mediumType": "businessPhone",
           "phoneNumber": "",
           "@type": "BusinessPhoneContactMedium"
         },
         {
           "preferred": false,
           "mediumType": "homePhone",
           "phoneNumber": "",
           "@type": "HomePhoneContactMedium"
         },
         {
           "preferred": false,
           "mediumType": "mobilePhone",
           "phoneNumber": "",
           "@type": "MobilePhoneContactMedium"
         }
       ],
       "externalReference": [],
       "relatedParty": [
         {
           "role": "Company",
           "partyOrPartyRole": {
             "id": "9e2fd2ee11b43110f877366201dea674",
             "name": "Startech svcs",
             "@type": "Organization"
           }
         },
         {
           "role": "Department",
           "partyOrPartyRole": {
             "id": "",
             "name": "",
             "@type": "Organization"
           }
         }
       ],
       "status": "Active",
       "@type": "Individual",
       "partyOrPartyRole": {
         "name": "Contact",
         "@type": "Party"
       }
     }
    ]

Response body for a Individual Consumer party.

    [
    {
       "id": "168bfc6953a46210132bddeeff7b129f",
       "href": "api/sn_tmf_api/party/individual/168bfc6953a46210132bddeeff7b129f",
       "givenName": "yyyg",
       "middleName": "hhh",
       "familyName": "bhhhbjhh",
       "gender": "",
       "nationality": "",
       "title": "",
       "partyCharacteristics": [
         {
           "name": "notes",
           "value": "",
           "valueType": "string",
           "@type": "StringCharacteristic"
         },
         {
           "name": "user",
           "value": "",
           "valueType": "string",
           "@type": "StringCharacteristic"
         },
         {
           "name": "notification",
           "value": "Enable",
           "valueType": "string",
           "@type": "StringCharacteristic"
         },
         {
           "name": "preferredLanguage",
           "value": "",
           "valueType": "string",
           "@type": "StringCharacteristic"
         },
         {
           "name": "dateFormat",
           "value": "",
           "valueType": "string",
           "@type": "StringCharacteristic"
         },
         {
           "name": "timeFormat",
           "value": "",
           "valueType": "string",
           "@type": "StringCharacteristic"
         },
         {
           "name": "timeZone",
           "value": "",
           "valueType": "string",
           "@type": "StringCharacteristic"
         }
       ],
       "contactMedium": [
         {
           "preferred": false,
           "mediumType": "businessPhone",
           "phoneNumber": "",
           "@type": "BusinessPhoneContactMedium"
         },
         {
           "preferred": false,
           "mediumType": "homePhone",
           "phoneNumber": "",
           "@type": "HomePhoneContactMedium"
         },
         {
           "preferred": false,
           "mediumType": "mobilePhone",
           "phoneNumber": "",
           "@type": "MobilePhoneContactMedium"
         },
         {
           "preferred": false,
           "mediumType": "fax",
           "phoneNumber": "",
           "@type": "FaxContactMedium"
         },
         {
           "preferred": false,
           "mediumType": "postalAddress",
           "@type": "GeographicalAddressContactMedium",
           "city": "ygyg",
           "locationId": "a39bfc6953a46210132bddeeff7b12b7",
           "country": "",
           "postCode": "hh",
           "stateOrProvince": "gyg",
           "street1": "hgg",
           "street2": ""
         }
       ],
       "externalReference": [],
       "relatedParty": [
         {
           "role": "User",
           "partyOrPartyRole": {
             "id": "",
             "name": "",
             "@type": "Individual"
           }
         }
       ],
       "status": "Active",
       "@type": "Individual",
       "partyOrPartyRole": {
         "name": "Consumer",
         "@type": "Party"
       }
     }
    ]

## Party Management - GET /api/sn_tmf_api/v1/party/individual/{id} {#ariaid-title4}

Retrieves a specified record from the Consumer \[csm_consumer\] or Contact \[customer_contact\] tables. You can filter results by specific fields.

### URL format

Versioned URL: /api/sn_tmf_api/{api_version}/party/individual

Default URL: /api/sn_tmf_api/v1/party/individual

### Supported request parameters

{#partymgmt-GET-individual-id__entry__2}{#partymgmt-GET-individual-id__version-not_optional-RESTAPI}

| Name | Description |
|-|-|
| api_version | Optional. Version of the endpoint to access. For example, <kbd class="ph userinput">v1</kbd> or <kbd class="ph userinput">v2</kbd>. Only specify this value to use an endpoint version other than the latest. Data type: String |
| id | Sys_id or external_id of the consumer or contact record to retrieve. Table: Consumer \[csm_consumer\] or Contact \[customer_contact\] Data type: String |
[Tabelle : 13. Path parameters]

{#partymgmt-GET-individual-id__entry__8}

| Name | Description |
|-|-|
| fields | List of fields to return in the response. Invalid fields are ignored. Valid fields: * @type * familyName * gender * givenName * href * id * middleName * name * nationality * status * title {#partymgmt-GET-individual-id__ul_o1v_ccn_3hc} Data type: String Default: Returns all fields |
[Tabelle : 14. Query parameters]

{#partymgmt-GET-individual-id__entry__12}

| Name | Description |
|-|-|
| None |   |
[Tabelle : 15. Request body parameters (XML or JSON)]

### Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://servicenow-prod.fluidtopics.net/8lFZRln4AVFM64buP1Dvmg "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#partymgmt-GET-individual-id__entry__16}{#partymgmt-GET-individual-id__accept-RESTAPI}

| Header | Description |
|-|-|
| Accept | Data format of the response body. Supported types: application/json or application/xml. Default: application/json |
[Tabelle : 16. Request headers]

{#partymgmt-GET-individual-id__entry__20}

| Header | Description |
|-|-|
| None |   |
[Tabelle : 17. Response headers]

### Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://servicenow-prod.fluidtopics.net/8lFZRln4AVFM64buP1Dvmg "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#partymgmt-GET-individual-id__entry__24}{#partymgmt-GET-individual-id__entry-200-status-code}

| Status code | Description |
|-|-|
| 200 | Successful. The request was successfully processed. |
[Tabelle : 18. Status codes]

### Response body parameters (JSON or XML)

{#partymgmt-GET-individual-id__table_mh2_hc4_3hc__entry__2}

| Name | Description |
|-|-|
| contactMedium | List of means for contacting the party. Data type: Array of Objects "contactMedium": [ { "@type": "String", "city": "String", "country": "String", "emailAddress": "String", "locationId": "String", "mediumType": "String", "phoneNumber": "String", "postCode": "String", "preferred": "Boolean", "stateOrProvince": "String", "street1": "String", "street2": "String" } ] |
| contactMedium.@type | Type of contacting party. Indicates the specific schema or subclass type of the object. Possible values: * BusinessPhoneContactMedium: Business phone number * EmailContactMedium: Email address * FaxPhoneContactMedium: Fax number * GeographicAddressContactMedium: Physical address (street, city, state, postal code) * HomePhoneContactMedium: Home phone number * MobilePhoneContactMedium: Mobile number {#partymgmt-GET-individual-id__ul_l4j_kw3_jhc} Data type: String |
| contactMedium.city | City of the individual. Data type: String |
| contactMedium.country | Country of the individual. Data type: String |
| contactMedium.emailAddress | Email address of the contact. Data type: String |
| contactMedium.locationId | Sys_id of the party location. Table: Location \[cmn_location\] Data type: String |
| contactMedium.mediumType | The type of contact medium. Indicates the business-level attribute that specifies the kind of contact channel being used. Possible values: * email * businessPhone * homePhone * mobilePhone * postalAddress {#partymgmt-GET-individual-id__ul_zvs_1f4_3hc} Data type: String |
| contactMedium.phoneNumber | Phone number of the individual. Data type: String |
| contactMedium.postCode | Postcode of the individual. Data type: String |
| contactMedium.preferred | This value is always false. Data type: Boolean |
| contactMedium.stateOrProvince | Indicates whether the location is from a state or province. Possible values: * state * province {#partymgmt-GET-individual-id__ul_g4d_s24_3hc} Data type: String |
| contactMedium.street1 | Describes the street. Data type: String |
| contactMedium.street2 | Complementary street description. Data type: String |
| familyName | Last name of the individual. Data type: String |
| gender | Gender of the individual. Data type: String |
| givenName | First name of the individual. Data type: String |
| href | Relative link to the user or consumer or contact record. Data type: String |
| id | Sys_id of the user or consumer or contact record to retrieve. Tables: Consumer \[csm_consumer\] or Contact \[customer_contact\] Data type: String |
| middleName | Middle name of the individual. Data type: String |
| name | User name of the user or contact individual. Data type: String |
| nationality | Nationality of the individual. Data type: String |
| partyCharacteristics | List of characteristics associated with the party. Data type: Array of Objects "partyCharacteristics": [ { "@type": "String", "name": " String", "value": "String", "valueType": "String" } ] |
| partyCharacteristics.@type | When subclassing, this defines the subclass extensible name. Possible values: * StringCharacteristic * StringArrayCharacteristic * IntegerCharacteristic * BooleanCharacteristic {#partymgmt-GET-individual-id__ul_bws_1f4_3hc} Data type: String |
| partyCharacteristics.name | Name of the party characteristic. Data type: String |
| partyCharacteristics.value | Value of the party characteristic. Data type: String |
| partyCharacteristics.valueType | Data type of the characteristic's value. Data type: String |
| partyOrPartyRole | Roles related to this party are defined where the party is created in table. For example, `User`, `Consumer`, `Customer Contact`. partyOrPartyRole indicates which type of record is retrieved in the operation. If the provided sys_id belongs to the Consumer \[csm_consumer\] table, then partyOrPartyRole.role is set to `Consumer`. Likewise, if the sys_id belongs to the Contact \[customer_contact\] table, then partyOrPartyRole.role is set to `Contact`. Data type: Object "partyOrPartyRole": { "@type": "String", "role":"String" } |
| partyOrPartyRole.@type | This value is always `Party`. Data type: String |
| partyOrPartyRole.role | Type of party role. Possible values: * Consumer * Contact {#partymgmt-GET-individual-id__ul_cws_1f4_3hc} Data type: String |
| relatedParty | List of parties or party roles related to this party. Data type: Array of Objects "relatedParty": [ { "role": "String", "partyOrPartyRole": {Object} } ] |
| relatedParty.partyOrPartyRole | Represents information about the related party and the role it plays in the context of the record. For example, if the role is `Company`, then partyOrPartyRole.id contains the sys_id of the Company \[core_company\] record, and partyOrPartyRole.name contains the company's name. This structure ensures that both the party reference and its role are explicitly defined and easily identifiable. Data type: Object "partyOrPartyRole": { "@type": "String", "id": "String", "name": "String" } |
| relatedParty.partyOrPartyRole.@type | Type of the related party. Possible value for user: * Organization * Individual {#partymgmt-GET-individual-id__ul_ews_1f4_3hc} Data type: String |
| relatedParty.partyOrPartyRole.id | Sys_id of the related party. * Possible value for `user`: * Company * Department {#partymgmt-GET-individual-id__ul_fws_1f4_3hc} * Possible value for `customer`: Account * Possible value for `consumer`: User {#partymgmt-GET-individual-id__ul_qdd_nq3_jhc} Data type: String |
| relatedParty.partyOrPartyRole.name | Name of the related party. Data type: String |
| relatedParty.role | Business role that the related party plays in the context of the current entity. Possible values: * Company (if related party is User) * Department (if related party is User) * Account (if related party is Customer) * User (if related party is Consumer) {#partymgmt-GET-individual-id__ul_qbh_py3_jhc} Data type: String |
| status | Flag that indicates the status of the individual. Valid values: * active: Individual is in an active status. * inactive: Individual is in an inactive status. {#partymgmt-GET-individual-id__ul_hws_1f4_3hc} Data type: Boolean |
| title | Prefix or title of the individual. For example, `Dr.`, `Mr.`, `Ms.`). Data type: String |
[ ]

{#partymgmt-GET-individual-id__table_mh2_hc4_3hc}  

### cURL request

Retrieves a specified record, `12345`, from the table.

    curl "http://instance.servicenow.com/api/sn_tmf_api/v1/party/individual/12345" \
    --request GET \
    --header "Accept:application/json" \
    --user 'user':'password' \

Response body.

    {
      "id": "12345",
      "givenName": "JohnTest6",
      "middleName": "A.",
      "familyName": "Doe",
      "gender": "male",
      "nationality": "American",
      "title": "Mr",
      "contactMedium": [
        {
          "preferred": true,
          "mediumType": "email",
          "emailAddress": "john.doe18723@example.com",
          "@type": "EmailContactMedium"
        },
        {
          "preferred": false,
          "mediumType": "mobilePhone",
          "phoneNumber": "+1-202-555-0198",
          "@type": "PhoneContactMedium"
        },
        {
          "preferred": false,
          "mediumType": "businessPhone",
          "phoneNumber": "+1-202-555-0198",
          "@type": "BusinessPhoneContactMedium"
        },
        {
          "preferred":false,
          "mediumType":"faxPhone",
          "phoneNumber":"123456789",
          "@type":"FaxContactMedium"
        },
        {
          "preferred": false,
          "mediumType": "homePhone",
          "phoneNumber": "+1-202-555-0198",
          "@type": "HomePhoneContactMedium"
        },
        {
          "preferred": false,
          "mediumType": "postalAddress",
          "@type": "GeographicAddressContactMedium",
          "locationId":"25ab9e240a0a0bb3009eb9ef8dd0a2c0",
          "city": "Town",
          "country": "USA",
          "postCode": "07960",
          "stateOrProvince": "New Jersey",
          "street1": "1820 Harris Houston Road, Charlotte",
          "street2": "East Tower - 10th Floor"
        },
        {
          "preferred": false,
          "mediumType": "postalAddress",
          "@type": "GeographicAddressContactMedium",
          "locationId":"25aba17a0a0a0bb3007efd809d6e695c",
          "city": "Webster",
          "country": "USA",
          "postCode": "76022",
          "stateOrProvince": "TN",
          "street1": "17077 Texas Avenue, Webster",
          "street2": "East Tower - 11th Floor"
        }
      ],
      "externalReference": [
        {
          "externalIdentifierType": "facebook",
          "id": "http://facebook.com/johndoe"
        }
      ],
      "partyCharacteristic": [
        {
          "name": "notes",
          "value": "notes about the consumer",
          "valueType": "string",
          "@type": "string"
        },
        {
          "name": "dateFormat",
          "value": "dd-mm-yyyy",
          "valueType": "string",
          "@type": "string"
        },
        {
          "name": "timeformat",
          "value": "hh.mm.ss (12 hour)",
          "valueType": "string",
          "@type": "string"
        },
        {
          "name": "notification",
          "value": "Enable",
          "valueType": "string",
          "@type": "string"
        }
      ],
      "relatedParty": [
        {
          "role": "User",
          "partyOrPartyRole": {
            "id": "36901a6381116a50f8776cfcbee15f3c",
            "name": "Hr",
            "@type": "Individual"
          }
        }
      ],
      "status": "active",
      "@type": "Individual",
      "partyOrPartyRole": {
        "role": "Consumer",
        "@type":"Party"
      }
    }

## Party Management -- GET/api/ sn_tmf_api/v1/party/organization/{id} {#ariaid-title5}

Retrieves a specified record from the Account \[customer_account\] tables. You can filter results by specific fields or IDs.

### URL format

Versioned URL: /api/sn_tmf_api/v1/party/organization/{id}

Default URL: /api/sn_tmf_api/v1/party/organization/{id}

### Supported request parameters

{#partymgmt-GET-organization-id__entry__2}{#partymgmt-GET-organization-id__version-not_optional-RESTAPI}

| Name | Description |
|-|-|
| api_version | Optional. Version of the endpoint to access. For example, <kbd class="ph userinput">v1</kbd> or <kbd class="ph userinput">v2</kbd>. Only specify this value to use an endpoint version other than the latest. Data type: String |
| id | Sys_id of the company or account record to retrieve. Table: Account \[customer_account\] or Company \[csm_company\] Data type: String |
[Tabelle : 19. Path parameters]

{#partymgmt-GET-organization-id__entry__8}

| Name | Description |
|-|-|
| fields | List of fields to return in the response. Invalid fields are ignored. Valid fields: * @type * href * id * legalName * name * status * tradingName {#partymgmt-GET-organization-id__ul_irf_5mn_3hc} Data type: String Default: Returns all fields |
| id | Filter party management by sys_id. Specified sys_ids are returned in the response. Data type: String |
| limit | Maximum number of records to return. For requests that exceed this number of records, use the offset parameter to paginate record retrieval. Data type: Number Default: 20 Maximum: 100 |
| offset | Starting index at which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks. Data type: Number Default: 0 |
[Tabelle : 20. Query parameters]

{#partymgmt-GET-organization-id__entry__18}

| Name | Description |
|-|-|
| None |   |
[Tabelle : 21. Request body parameters (XML or JSON)]

### Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://servicenow-prod.fluidtopics.net/8lFZRln4AVFM64buP1Dvmg "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#partymgmt-GET-organization-id__entry__22}{#partymgmt-GET-organization-id__accept-RESTAPI}

| Header | Description |
|-|-|
| Accept | Data format of the response body. Supported types: application/json or application/xml. Default: application/json |
[Tabelle : 22. Request headers]

{#partymgmt-GET-organization-id__entry__26}

| Header | Description |
|-|-|
| None |   |
[Tabelle : 23. Response headers]

### Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://servicenow-prod.fluidtopics.net/8lFZRln4AVFM64buP1Dvmg "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#partymgmt-GET-organization-id__entry__30}{#partymgmt-GET-organization-id__entry-200-status-code}

| Status code | Description |
|-|-|
| 200 | Successful. The request was successfully processed. |
[Tabelle : 24. Status codes]

### Response body parameters (JSON or XML)

### Response body parameters (JSON or XML) {#partymgmt-GET-organization-id__section_r5x_5k4_3hc}

{#partymgmt-GET-organization-id__table_edn_qnn_3hc__entry__2}

| Name | Description |
|-|-|
| @type | This value is always `Organization`. Data type: String |
| contactMedium | List of means for contacting the party. A contact medium represents the way you communicate with or reach a party like an individual or organization. For example, a channel or method of contact associated with that party. Data type: Array of Objects "contactMedium": [ { "@type": "String", "city": "String", "country": "String", "emailAddress": "String", "locationId": "String", "mediumType": "String", "phoneNumber": "String", "postCode": "String", "preferred": "Boolean", "stateOrProvince": "String", "street1": "String", "street2": "String" } ] |
| contactMedium.@type | Type of contact medium. Type of contacting party. Indicates the specific schema or subclass type of the object. Possible values: * BusinessPhoneContactMedium: Business phone number * EmailContactMedium: Email address * FaxPhoneContactMedium: Fax number * GeographicAddressContactMedium: Physical address (street, city, state, postal code) * HomePhoneContactMedium: Home phone number * MobilePhoneContactMedium: Mobile number {#partymgmt-GET-organization-id__ul_vxy_4jn_3hc} Data type: String |
| contactMedium.city | City of the organization. Data type: String |
| contactMedium.country | Country of the organization. Data type: String |
| contactMedium.emailAdress | Email address of the organization contact. Data type: String |
| contactMedium.locationId | Sys_id of the location. Table: Location \[cmn_location\] Data type: String |
| contactMedium.mediumType | The type of contact medium. Possible values: * businessPhone * email * faxPhone * homePhone * mobilePhone * postalAddress {#partymgmt-GET-organization-id__ul_lq4_fjn_3hc} Data type: String |
| contactMedium.phoneNumber | Phone number of the organization contact. Data type: String |
| contactMedium.postCode | Postcode of the organization. Data type: String |
| contactMedium.preferred | This value is always `false`. Data type: Boolean |
| contactMedium.stateOrProvince | Indicates whether the location is from a state or province. Possible values: * state * province {#partymgmt-GET-organization-id__ul_swk_tl4_3hc} Data type: String |
| contactMedium.street1 | Describes the street. Data type: String |
| contactMedium.street2 | Complementary street description. Data type: String |
| externalReference | List of identifiers of the party in an external system. Data type: Array of Objects "externalReference": [ { "externalIdentifierType": "String", "name": "String" } ] |
| externalReference.externalIdentifierType | Type of entity within the external system. Data type: String |
| externalReference.name | Human-readable name of the external system or reference. Data type: String |
| href | Relative link to the account record (URI). Table: Account \[customer_account\] Data type: String |
| id | Sys_id of the external entity account record. Table: Account \[customer_account\] Data type: String |
| legalName | Legal name of the organization. Data type: String |
| name | Name of the organization. Data type: String |
| partyCharacteristics | List of characteristics that a party can take on. Data type: Array of Objects "partyCharacteristics": [ { "@type": "String" "name": "String", "value": "String", "valueType": "String" } ] |
| partyCharacteristics.@type | When subclassing, @type defines the subclass extensible name. Possible value: * BooleanCharacteristic * IntegerCharacteristic * StringArrayCharacteristic * StringCharacteristic {#partymgmt-GET-organization-id__ul_tyq_y3n_3hc} Data type: String |
| partyCharacteristics.name | Name of the party characteristic. Data type: String |
| partyCharacteristics.value | Value of the party characteristic. Data type: String |
| partyCharacteristics.valueType | Data type of the characteristic's value. Data type: String |
| partyOrPartyRole | Roles related to this party are defined where the party is created in the table. For example, `Company` or `Account`. partyOrPartyRole indicates which type of record is retrieved in the operation. If the provided sys_id belongs to the Account \[customer_account\] table, then partyOrPartyRole.role is set to `Account`. Likewise, if the sys_id belongs to the Company \[core_company\] table, then partyOrPartyRole.role is set to `Company`. Data type: Object "partyOrPartyRole": { "@type": "String", "name":"String", "role":"String", } |
| PartyOrPartyRole.@type | This value is always `party`. Data type: String |
| PartyOrPartyRole.name | Defines the type of the account or company. Data type: String |
| PartyOrPartyRole.role | Type of the role. Possible value: * Account * Company {#partymgmt-GET-organization-id__ul_uyj_2mn_3hc} Data type: String |
| relatedParty | List of parties or party roles related to this party. Data type: Array of Objects "relatedParty": [ { "partyOrPartyRole": {Object}, "role": "String" } ] |
| relatedParty.partyOrPartyRole | Roles related to this party. Data type: Array of Objects "partyOrPartyRole": [ { "@type": "String", "id": "String", "name": "String", } ] |
| relatedParty.partyOrPartyRole.@type | Type of the related party. Value is always `Organization`. Data type: String |
| relatedParty.partyOrPartyRole.id | Sys_id of the related party. Possible value: * Contact * Other {#partymgmt-GET-organization-id__ul_spb_5ln_3hc} Data type: String |
| relatedParty.partyOrPartyRole.name | Name of the related party. Data type: String |
| relatedParty.role | Role played by the related party or party role in the context of the specific entity it's linked to. Possible values: * Contact * Other {#partymgmt-GET-organization-id__ul_uhb_rln_3hc} Data type: String |
| status | Flag that indicates the status of organization. Valid values: * active: Organization is active. * inactive: Organization is inactive. {#partymgmt-GET-organization-id__ul_ldr_k3n_3hc} Data type: Boolean |
| tradingName | Name that the organization trades under. Data type: String |
[ ]

{#partymgmt-GET-organization-id__table_edn_qnn_3hc}  

### cURL request

The following GET call returns fields for the specified party management organization record with sys_id, 12345.

    curl "http://instance.servicenow.com/api/sn_tmf_api/v1/party/organization/12345" \
    --request GET \
    --header "Accept:application/json" \
    --user 'user':'password' \

Response body.

    {
       "id": "2154376",
       "name": "Advances Super Computing",
       "href": "api/sn_tmf_api/party/organization/2154376",
       "legalName": "Hello",
       "tradingName": "World",
       "contactMedium": [
         {
           "preferred": "false",
           "mediumType": "email",
           "@type": "EmailContactMedium",
           "emailAddress": "user@servicenow.com"
         },
         {
           "preferred": "false",
           "mediumType": "phone",
           "@type": "PhoneContactMedium",
           "phone": "(555) 555-5555"
         },
         {
           "preferred": "false",
           "mediumType": "faxPhone",
           "@type": "FaxPhoneContactMedium",
           "fax_phone": ""
         }
       ],
       "externalReference": [
         {
           "externalIdentifierType": "Facebook",
           "name": "facebook.com"
         },
         {
           "externalIdentifierType": "Twitter",
           "name": "twitter.com"
         }
       ],
       "partyCharacteristic": [
         {
           "name": "notes",
           "value": "efdxcjkn ",
           "valueType": "string",
           "@type": "StringCharacteristic"
         },
         {
           "name": "registrationCode",
           "value": "23456789",
           "valueType": "string",
           "@type": "StringCharacteristic"
         },
         {
           "name": "accountCode",
           "value": "####30",
           "valueType": "string",
           "@type": "StringCharacteristic"
         },
         {
           "name": "identificationNumber",
           "value": "",
           "valueType": "string",
           "@type": "StringCharacteristic"
         },
         {
           "name": "taxId",
           "value": "",
           "valueType": "string",
           "@type": "StringCharacteristic"
         },
         {
           "name": "industry",
           "value": "",
           "valueType": "choice",
           "@type": "StringCharacteristic"
         },
         {
           "name": "numEmployees",
           "value": "",
           "valueType": "integer",
           "@type": "IntergerCharacteristic"
         },
         {
           "name": "rankTier",
           "value": "",
           "valueType": "string",
           "@type": "StringCharacteristic"
         },
         {
           "name": "publiclyTraded",
           "value": "false",
           "valueType": "boolean",
           "@type": "BooleanCharacteristic"
         },
         {
           "name": "stockSymbol",
           "value": "",
           "valueType": "string",
           "@type": "StringCharacteristic"
         },
         {
           "name": "stockPrice",
           "value": "",
           "valueType": "string",
           "@type": "StringCharacteristic"
         },
         {
           "name": "vendorType",
           "value": "Services, Applications",
           "valueType": "list",
           "@type": "StringArrayCharacteristic"
         },
         {
           "name": "marketCap",
           "value": "0",
           "valueType": "string",
           "@type": "StringCharacteristic"
         },
         {
           "name": "profits",
           "value": "0",
           "valueType": "string",
           "@type": "StringCharacteristic"
         },
         {
           "name": "revenuePerYear",
           "value": "0",
           "valueType": "string",
           "@type": "StringCharacteristic"
         },
         {
           "name": "website",
           "value": "sdfgh.com",
           "valueType": "string",
           "@type": "StringCharacteristic"
         }
       ],
       "relatedParty": [
         {
           "role": "primary",
           "partyOrPartyRole": {
             "@type": "Organization",
             "id": "b88d14843bc02300bfe04d72f3efc4cd",
             "name": "Amy Chen"
           }
         },
         {
           "role": "other",
           "partyOrPartyRole": {
             "@type": "Organization",
             "id": "016b7a36ff14a610f8dfffffffffffcb",
             "name": "Kutty"
           }
         },
         {
           "role": "other",
           "partyOrPartyRole": {
             "@type": "Organization",
             "id": "e8bb9d1aff94a210f8dfffffffffff1d",
             "name": "World"
           }
         }
       ],
       "organizationChildRelationship": [
         {
           "relationshipType": "partner_account",
           "organization": {
             "id": "9e2fd2ee11b43110f877366201dea674",
             "name": "Startech svcs",
             "href": "api/sn_tmf_api/party/organization/9e2fd2ee11b43110f877366201dea674",
             "@type": "Organization"
           }
         },
         {
           "relationshipType": "New type",
           "organization": {
             "id": "9e2fd2ee11b43110f877366201dea674",
             "name": "Startech svcs",
             "href": "api/sn_tmf_api/party/organization/9e2fd2ee11b43110f877366201dea674",
             "@type": "Organization"
           }
         },
         {
           "relationshipType": "child",
           "organization": {
             "id": "9e2fd2ee11b43110f877366201dea674",
             "name": "Startech svcs",
             "href": "api/sn_tmf_api/party/organization/null",
             "@type": "Organization"
           }
         }
       ],
       "organizationParentRelationship": {
         "relationshipType": "parent",
         "organization": {
           "id": "ffc68911c35420105252716b7d40dd55",
           "name": "Funco Intl",
           "href": "undefinedffc68911c35420105252716b7d40dd55",
           "@type": "Organization"
         }
       },
       "status": "inActive",
       "@type": "Organization",
       "partyOrPartyRole": {
         "name": "customer_partner_vendor_manufacturer",
         "role": "Account",
         "@type": "Party"
       }
     }

## Party Management - GET /api/sn_tmf_api/v1/party/organization {#ariaid-title6}

Retrieves organization-level party records from the Company \[core_company\] and Account \[customer_account\]
tables. You can filter results by specific fields or IDs.

### URL format

Versioned URL: /api/sn_tmf_api/v1/party/organization

Default URL: /api/sn_tmf_api/v1/party/organization

### Supported request parameters

{#partymgmt-GET-organization__entry__2}{#partymgmt-GET-organization__version-not_optional-RESTAPI}

| Name | Description |
|-|-|
| api_version | Optional. Version of the endpoint to access. For example, <kbd class="ph userinput">v1</kbd> or <kbd class="ph userinput">v2</kbd>. Only specify this value to use an endpoint version other than the latest. Data type: String |
[Tabelle : 25. Path parameters]

{#partymgmt-GET-organization__entry__6}

| Name | Description |
|-|-|
| fields | List of fields to return in the response. Invalid fields are ignored. Valid fields: * @type * href * id * legalName * name * status * tradingName {#partymgmt-GET-organization__ul_tpl_5hn_3hc} Data type: String Default: Returns all fields |
| id | Filter party management by sys_id. Specified sys_ids are returned in the response. Data type: String |
| limit | Maximum number of records to return. For requests that exceed this number of records, use the offset parameter to paginate record retrieval. Data type: Number Default: 20 Maximum: 100 |
| offset | Starting index at which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks. Data type: Number Default: 0 |
[Tabelle : 26. Query parameters]

{#partymgmt-GET-organization__id_avm_mj4_3hc__entry__2}

| Name | Description |
|-|-|
| contactMedium | List of means for contacting the party. Data type: Array of Objects "contactMedium": [ { "@type": "String", "city": "String", "country": "String", "emailAddress": "String", "locationId": "String", "mediumType": "String", "phoneNumber": "String", "postCode": "String", "preferred": "Boolean", "stateOrProvince": "String", "street1": "String", "street2": "String" } ] |
| contactMedium.@type | Type of contacting party. Indicates the specific schema or subclass type of the object. Possible values: * BusinessPhoneContactMedium: Business phone number * EmailContactMedium: Email address * FaxPhoneContactMedium: Fax number * GeographicAddressContactMedium: Physical address (street, city, state, postal code) * HomePhoneContactMedium: Home phone number * MobilePhoneContactMedium: Mobile number {#partymgmt-GET-organization__ul_j3y_jw3_jhc} Data type: String |
| contactMedium.city | City of the individual. Data type: String |
| contactMedium.country | Country of the individual. Data type: String |
| contactMedium.emailAddress | Email address of the contact. Data type: String |
| contactMedium.locationId | Sys_id of the party location. Table: Location \[cmn_location\] Data type: String |
| contactMedium.mediumType | The type of contact medium. Indicates the business-level attribute that specifies the kind of contact channel being used. Possible values: * email * businessPhone * homePhone * mobilePhone * postalAddress {#partymgmt-GET-organization__ul_mjg_sj4_3hc} Data type: String |
| contactMedium.phoneNumber | Phone number of the individual. Data type: String |
| contactMedium.postCode | Postcode of the individual. Data type: String |
| contactMedium.preferred | This value is always false. Data type: Boolean |
| contactMedium.stateOrProvince | Indicates whether the location is in a state or province. Possible values: * state * province {#partymgmt-GET-organization__ul_ojg_sj4_3hc} Data type: String |
| contactMedium.street1 | Describes the street. Data type: String |
| contactMedium.street2 | Complementary street description. Data type: String |
| familyName | Last name of the individual. Data type: String |
| gender | Gender of the individual. Data type: String |
| givenName | First name of the individual. Data type: String |
| href | Relative link to the user or consumer or contact record. Data type: String |
| middleName | Middle name of the individual. Data type: String |
| name | User name of the user or contact individual. Data type: String |
| nationality | Nationality of the individual. Data type: String |
| partyCharacteristics | List of characteristics associated with the party. Data type: Array of Objects "partyCharacteristics": [ { "@type": "String", "name": " String", "value": "String", "valueType": "String" } ] |
| partyCharacteristics.@type | When subclassing, this parameter defines the subclass extensible name. Possible values: * StringCharacteristic * StringArrayCharacteristic * IntegerCharacteristic * BooleanCharacteristic {#partymgmt-GET-organization__ul_bff_czm_3hc} Data type: String |
| partyCharacteristics.name | Name of the party characteristic. Data type: String |
| partyCharacteristics.value | Value of the party characteristic. Data type: String |
| partyCharacteristics.valueType | Data type of the characteristic's value. Data type: String |
| partyOrPartyRole | Roles related to this party are defined where the party is created in table. For example, `User`, `Consumer`, `Customer Contact`. partyOrPartyRole indicates which type of record is retrieved in the operation. If the provided sys_id belongs to the Consumer \[csm_consumer\] table, then partyOrPartyRole.role is set to `Consumer`. Likewise, if the sys_id belongs to the Contact \[customer_contact\] table, then partyOrPartyRole.role is set to `Contact`. Data type: Object "partyOrPartyRole": { "@type": "String", "role":"String" } |
| partyOrPartyRole.@type | This value is always `Party`. Data type: String |
| partyOrPartyRole.role | Type of the role. Possible values: * Consumer * Contact {#partymgmt-GET-organization__ul_ygw_2bn_3hc} Data type: String |
| relatedParty | List of parties and party roles related to this party. Data type: Array of Objects "relatedParty": [ { "role": "String", "partyOrPartyRole": {Object} } ] |
| relatedParty.partyOrPartyRole.@type | Type of the related party. Possible value for user: * Organization * Individual {#partymgmt-GET-organization__ul_crl_s1n_3hc} Data type: String |
| relatedParty.partyOrPartyRole.id | ID for the linked entity in the Party Management or Party Role Management system. * Possible value for user: * `Company` * `Department` {#partymgmt-GET-organization__ul_k42_p1n_3hc} * Possible value for customer: `Account` * Possible value for consumer: `User` {#partymgmt-GET-organization__ul_vc1_xq3_jhc} Data type: String |
| relatedParty.partyOrPartyRole.name | Name of the related party. Data type: String |
| relatedParty.role | Business role that the related party plays in the context of the current entity. Possible values: * Company (if related party is User) * Department (if related party is User) * Account (if related party is Customer) * User (if related party is Consumer) {#partymgmt-GET-organization__ul_obj_hy3_jhc} Data type: String |
| status | Flag that indicates the status of the individual. Valid values: * active: Individual is in an active status. * inactive: Individual isn't in an active status. {#partymgmt-GET-organization__ul_z2z_4ym_3hc} Data type: Boolean |
| title | Prefix or title of the individual. For example, `Dr.`, `Mr.`, `Ms.`). Data type: String |
[Tabelle : 27. Request body parameters (XML or JSON)]

{#partymgmt-GET-organization__id_avm_mj4_3hc}

### Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://servicenow-prod.fluidtopics.net/8lFZRln4AVFM64buP1Dvmg "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#partymgmt-GET-organization__entry__88}{#partymgmt-GET-organization__accept-RESTAPI}

| Header | Description |
|-|-|
| Accept | Data format of the response body. Supported types: application/json or application/xml. Default: application/json |
[Tabelle : 28. Request headers]

{#partymgmt-GET-organization__entry__92}

| Header | Description |
|-|-|
| None |   |
[Tabelle : 29. Response headers]

### Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://servicenow-prod.fluidtopics.net/8lFZRln4AVFM64buP1Dvmg "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#partymgmt-GET-organization__entry__96}{#partymgmt-GET-organization__entry-200-status-code}

| Status code | Description |
|-|-|
| 200 | Successful. The request was successfully processed. |
[Tabelle : 30. Status codes]

### Response body parameters (JSON or XML)

{#partymgmt-GET-organization__entry__100}

| Name | Description |
|-|-|
| None |   |
[ ]

### cURL request

This returns all organization records related to the enterprise.

    curl"http://instance.servicenow.com/api/sn_tmf_api/v1/party/organization" \
    --request GET \
    --header "Accept:application/json" \
    --user 'user':'password'

Response body.

    [
      {
        "id": "0bd6717c184da610f87765359bc696d3",
        "name": "SERVICENOW 144",
        "href": "api/sn_tmf_api/party/organization0bd6717c184da610f87765359bc696d3",
        "legalName": "",
        "tradingName": "",
        "contactMedium": [
          {
            "preferred": "false",
            "mediumType": "email",
            "@type": "EmailContactMedium",
            "emailAddress": "user@email.com"
          },
          {
            "preferred": "false",
            "mediumType": "phone",
            "@type": "PhoneContactMedium",
            "phone": "+1-555-555-5555"
          },
          {
            "preferred": "false",
            "mediumType": "faxPhone",
            "@type": "FaxPhoneContactMedium",
            "fax_phone": ""
          }
        ],
        "externalReference": [
          {
            "externalIdentifierType": "Instagram",
            "name": ""
          }
        ],
        "partyCharacteristic": [
          {
            "name": "notes",
            "value": "Testing for update the notes",
            "valueType": "string",
            "@type": "StringCharacteristic"
          },
          {
            "name": "registrationCode",
            "value": "111122112211",
            "valueType": "string",
            "@type": "StringCharacteristic"
          },
          {
            "name": "accountCode",
            "value": "accountcode1",
            "valueType": "string",
            "@type": "StringCharacteristic"
          },
          {
            "name": "identificationNumber",
            "value": "",
            "valueType": "string",
            "@type": "StringCharacteristic"
          },
          {
            "name": "taxId",
            "value": "CTNUM1000123",
            "valueType": "string",
            "@type": "StringCharacteristic"
          },
          {
            "name": "industry",
            "value": "technology_services",
            "valueType": "choice",
            "@type": "StringCharacteristic"
          },
          {
            "name": "numEmployees",
            "value": "",
            "valueType": "integer",
            "@type": "IntergerCharacteristic"
          },
          {
            "name": "rankTier",
            "value": "rankTier",
            "valueType": "string",
            "@type": "StringCharacteristic"
          },
          {
            "name": "publiclyTraded",
            "value": "false",
            "valueType": "boolean",
            "@type": "BooleanCharacteristic"
          },
          {
            "name": "stockSymbol",
            "value": "Market",
            "valueType": "string",
            "@type": "StringCharacteristic"
          },
          {
            "name": "stockPrice",
            "value": "1000",
            "valueType": "string",
            "@type": "StringCharacteristic"
          },
          {
            "name": "vendorType",
            "value": "Hardware",
            "valueType": "list",
            "@type": "StringArrayCharacteristic"
          },
          {
            "name": "marketCap",
            "value": "0",
            "valueType": "string",
            "@type": "StringCharacteristic"
          },
          {
            "name": "profits",
            "value": "0",
            "valueType": "string",
            "@type": "StringCharacteristic"
          },
          {
            "name": "revenuePerYear",
            "value": "0",
            "valueType": "string",
            "@type": "StringCharacteristic"
          },
          {
            "name": "website",
            "value": "",
            "valueType": "string",
            "@type": "StringCharacteristic"
          }
        ],
        "relatedParty": [],
        "organizationChildRelationship": [
          {
            "relationshipType": "Partner Account",
            "organization": {
              "id": "396b47201841a610f87765359bc696cf",
              "name": "child",
              "href": "api/sn_tmf_api/party/organization396b47201841a610f87765359bc696cf",
              "@type": "Organization"
            }
          }
        ],
        "organizationParentRelationship": {
          "relationshipType": "parent",
          "organization": {
            "id": "9e2fd2ee11b43110f877366201dea674",
            "name": "Startech svcs",
            "href": "api/sn_tmf_api/party/organization9e2fd2ee11b43110f877366201dea674",
            "@type": "Organization"
          }
        },
        "@type": "Organization",
        "partyOrPartyRole": {
          "name": "customer_partner",
          "role": "Account",
          "@type": "Party"
        }
      }
    ]

## Party Management -- PATCH/api/sn_tmf_api/v1/party/individual/{id} {#ariaid-title7}

Updates an existing individual party record in the Consumer \[csm_consumer\] or Contact \[customer_contact\] table without replacing the entire resource.

### URL format

Versioned URL: /api/sn_tmf_api/v1/party/individual

Default URL: /api/sn_tmf_api/v1/party/individual

### Supported request parameters

{#partymgmt-PATCH-individual-id__entry__2}{#partymgmt-PATCH-individual-id__version-not_optional-RESTAPI}

| Name | Description |
|-|-|
| api_version | Optional. Version of the endpoint to access. For example, <kbd class="ph userinput">v1</kbd> or <kbd class="ph userinput">v2</kbd>. Only specify this value to use an endpoint version other than the latest. Data type: String |
| id | Sys_id of the consumer or contact. Tables: Consumer \[csm_consumer\] or Contact \[customer_contact\] Data type: String |
[Tabelle : 31. Path parameters]

{#partymgmt-PATCH-individual-id__entry__8}

| Name | Description |
|-|-|
| None |   |
[Tabelle : 32. Query parameters]

{#partymgmt-PATCH-individual-id__id_zhv_km4_3hc__entry__2}

| Name | Description |
|-|-|
| contactMedium | List of means for contacting the party. Data type: Array of Objects "contactMedium": [ { "@type": "String", "city": "String", "country": "String", "emailAddress": "String", "locationId": "String", "mediumType": "String", "phoneNumber": "String", "postCode": "String", "preferred": "Boolean", "stateOrProvince": "String", "street1": "String", "street2": "String" } ] |
| contactMedium.@type | Type of contacting party. Indicates the specific schema or subclass type of the object. Possible values: * BusinessPhoneContactMedium: Business phone number * EmailContactMedium: Email address * FaxPhoneContactMedium: Fax number * GeographicAddressContactMedium: Physical address (street, city, state, postal code) * HomePhoneContactMedium: Home phone number * MobilePhoneContactMedium: Mobile number {#partymgmt-PATCH-individual-id__ul_j3y_jw3_jhc} Data type: String |
| contactMedium.city | City of the individual. Data type: String |
| contactMedium.country | Country of the individual. Data type: String |
| contactMedium.emailAddress | Email address of the contact. Data type: String |
| contactMedium.locationId | Sys_id of the party location. Table: Location \[cmn_location\] Data type: String |
| contactMedium.mediumType | The type of contact medium. Indicates the business-level attribute that specifies the kind of contact channel being used. Possible values: * email * businessPhone * homePhone * mobilePhone * postalAddress {#partymgmt-PATCH-individual-id__ul_mjg_sj4_3hc} Data type: String |
| contactMedium.phoneNumber | Phone number of the individual. Data type: String |
| contactMedium.postCode | Postcode of the individual. Data type: String |
| contactMedium.preferred | This value is always false. Data type: Boolean |
| contactMedium.stateOrProvince | Indicates whether the location is in a state or province. Possible values: * state * province {#partymgmt-PATCH-individual-id__ul_ojg_sj4_3hc} Data type: String |
| contactMedium.street1 | Describes the street. Data type: String |
| contactMedium.street2 | Complementary street description. Data type: String |
| familyName | Last name of the individual. Data type: String |
| gender | Gender of the individual. Data type: String |
| givenName | First name of the individual. Data type: String |
| href | Relative link to the user or consumer or contact record. Data type: String |
| middleName | Middle name of the individual. Data type: String |
| name | User name of the user or contact individual. Data type: String |
| nationality | Nationality of the individual. Data type: String |
| partyCharacteristics | List of characteristics associated with the party. Data type: Array of Objects "partyCharacteristics": [ { "@type": "String", "name": " String", "value": "String", "valueType": "String" } ] |
| partyCharacteristics.@type | When subclassing, this parameter defines the subclass extensible name. Possible values: * StringCharacteristic * StringArrayCharacteristic * IntegerCharacteristic * BooleanCharacteristic {#partymgmt-PATCH-individual-id__ul_bff_czm_3hc} Data type: String |
| partyCharacteristics.name | Name of the party characteristic. Data type: String |
| partyCharacteristics.value | Value of the party characteristic. Data type: String |
| partyCharacteristics.valueType | Data type of the characteristic's value. Data type: String |
| partyOrPartyRole | Roles related to this party are defined where the party is created in table. For example, `User`, `Consumer`, `Customer Contact`. partyOrPartyRole indicates which type of record is retrieved in the operation. If the provided sys_id belongs to the Consumer \[csm_consumer\] table, then partyOrPartyRole.role is set to `Consumer`. Likewise, if the sys_id belongs to the Contact \[customer_contact\] table, then partyOrPartyRole.role is set to `Contact`. Data type: Object "partyOrPartyRole": { "@type": "String", "role":"String" } |
| partyOrPartyRole.@type | This value is always `Party`. Data type: String |
| partyOrPartyRole.role | Type of the role. Possible values: * Consumer * Contact {#partymgmt-PATCH-individual-id__ul_ygw_2bn_3hc} Data type: String |
| relatedParty | List of parties and party roles related to this party. Data type: Array of Objects "relatedParty": [ { "role": "String", "partyOrPartyRole": {Object} } ] |
| relatedParty.partyOrPartyRole.@type | Type of the related party. Possible value for user: * Organization * Individual {#partymgmt-PATCH-individual-id__ul_crl_s1n_3hc} Data type: String |
| relatedParty.partyOrPartyRole.id | ID for the linked entity in the Party Management or Party Role Management system. * Possible value for user: * `Company` * `Department` {#partymgmt-PATCH-individual-id__ul_k42_p1n_3hc} * Possible value for customer: `Account` * Possible value for consumer: `User` {#partymgmt-PATCH-individual-id__ul_vc1_xq3_jhc} Data type: String |
| relatedParty.partyOrPartyRole.name | Name of the related party. Data type: String |
| relatedParty.role | Business role that the related party plays in the context of the current entity. Possible values: * Company (if related party is User) * Department (if related party is User) * Account (if related party is Customer) * User (if related party is Consumer) {#partymgmt-PATCH-individual-id__ul_obj_hy3_jhc} Data type: String |
| status | Flag that indicates the status of the individual. Valid values: * active: Individual is in an active status. * inactive: Individual isn't in an active status. {#partymgmt-PATCH-individual-id__ul_z2z_4ym_3hc} Data type: Boolean |
| title | Prefix or title of the individual. For example, `Dr.`, `Mr.`, `Ms.`). Data type: String |
[Tabelle : 33. Request body parameters (XML or JSON)]

{#partymgmt-PATCH-individual-id__id_zhv_km4_3hc}

### Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://servicenow-prod.fluidtopics.net/8lFZRln4AVFM64buP1Dvmg "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#partymgmt-PATCH-individual-id__entry__84}{#partymgmt-PATCH-individual-id__accept-RESTAPI}

| Header | Description |
|-|-|
| Accept | Data format of the response body. Supported types: application/json or application/xml. Default: application/json |
[Tabelle : 34. Request headers]

{#partymgmt-PATCH-individual-id__entry__88}

| Header | Description |
|-|-|
| None |   |
[Tabelle : 35. Response headers]

### Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://servicenow-prod.fluidtopics.net/8lFZRln4AVFM64buP1Dvmg "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#partymgmt-PATCH-individual-id__entry__92}{#partymgmt-PATCH-individual-id__entry-200-status-code}

| Status code | Description |
|-|-|
| 200 | Successful. The request was successfully processed. |
[Tabelle : 36. Status codes]

### Response body parameters (JSON or XML)

{#partymgmt-PATCH-individual-id__id_t1b_mm4_3hc__entry__2}

| Name | Description |
|-|-|
| contactMedium | List of means for contacting the party. Data type: Array of Objects "contactMedium": [ { "@type": "String", "city": "String", "country": "String", "emailAddress": "String", "locationId": "String", "mediumType": "String", "phoneNumber": "String", "postCode": "String", "preferred": "Boolean", "stateOrProvince": "String", "street1": "String", "street2": "String" } ] |
| contactMedium.@type | Type of contacting party. Indicates the specific schema or subclass type of the object. Possible values: * BusinessPhoneContactMedium: Business phone number * EmailContactMedium: Email address * FaxPhoneContactMedium: Fax number * GeographicAddressContactMedium: Physical address (street, city, state, postal code) * HomePhoneContactMedium: Home phone number * MobilePhoneContactMedium: Mobile number {#partymgmt-PATCH-individual-id__ul_l4j_kw3_jhc} Data type: String |
| contactMedium.city | City of the individual. Data type: String |
| contactMedium.country | Country of the individual. Data type: String |
| contactMedium.emailAddress | Email address of the contact. Data type: String |
| contactMedium.locationId | Sys_id of the party location. Table: Location \[cmn_location\] Data type: String |
| contactMedium.mediumType | The type of contact medium. Indicates the business-level attribute that specifies the kind of contact channel being used. Possible values: * email * businessPhone * homePhone * mobilePhone * postalAddress {#partymgmt-PATCH-individual-id__ul_zvs_1f4_3hc} Data type: String |
| contactMedium.phoneNumber | Phone number of the individual. Data type: String |
| contactMedium.postCode | Postcode of the individual. Data type: String |
| contactMedium.preferred | This value is always false. Data type: Boolean |
| contactMedium.stateOrProvince | Indicates whether the location is from a state or province. Possible values: * state * province {#partymgmt-PATCH-individual-id__ul_g4d_s24_3hc} Data type: String |
| contactMedium.street1 | Describes the street. Data type: String |
| contactMedium.street2 | Complementary street description. Data type: String |
| familyName | Last name of the individual. Data type: String |
| gender | Gender of the individual. Data type: String |
| givenName | First name of the individual. Data type: String |
| href | Relative link to the user or consumer or contact record. Data type: String |
| id | Sys_id of the user or consumer or contact record to retrieve. Tables: Consumer \[csm_consumer\] or Contact \[customer_contact\] Data type: String |
| middleName | Middle name of the individual. Data type: String |
| name | User name of the user or contact individual. Data type: String |
| nationality | Nationality of the individual. Data type: String |
| partyCharacteristics | List of characteristics associated with the party. Data type: Array of Objects "partyCharacteristics": [ { "@type": "String", "name": " String", "value": "String", "valueType": "String" } ] |
| partyCharacteristics.@type | When subclassing, this defines the subclass extensible name. Possible values: * StringCharacteristic * StringArrayCharacteristic * IntegerCharacteristic * BooleanCharacteristic {#partymgmt-PATCH-individual-id__ul_bws_1f4_3hc} Data type: String |
| partyCharacteristics.name | Name of the party characteristic. Data type: String |
| partyCharacteristics.value | Value of the party characteristic. Data type: String |
| partyCharacteristics.valueType | Data type of the characteristic's value. Data type: String |
| partyOrPartyRole | Roles related to this party are defined where the party is created in table. For example, `User`, `Consumer`, `Customer Contact`. partyOrPartyRole indicates which type of record is retrieved in the operation. If the provided sys_id belongs to the Consumer \[csm_consumer\] table, then partyOrPartyRole.role is set to `Consumer`. Likewise, if the sys_id belongs to the Contact \[customer_contact\] table, then partyOrPartyRole.role is set to `Contact`. Data type: Object "partyOrPartyRole": { "@type": "String", "role":"String" } |
| partyOrPartyRole.@type | This value is always `Party`. Data type: String |
| partyOrPartyRole.role | Type of party role. Possible values: * Consumer * Contact {#partymgmt-PATCH-individual-id__ul_cws_1f4_3hc} Data type: String |
| relatedParty | List of parties or party roles related to this party. Data type: Array of Objects "relatedParty": [ { "role": "String", "partyOrPartyRole": {Object} } ] |
| relatedParty.partyOrPartyRole | Represents information about the related party and the role it plays in the context of the record. For example, if the role is `Company`, then partyOrPartyRole.id contains the sys_id of the Company \[core_company\] record, and partyOrPartyRole.name contains the company's name. This structure ensures that both the party reference and its role are explicitly defined and easily identifiable. Data type: Object "partyOrPartyRole": { "@type": "String", "id": "String", "name": "String" } |
| relatedParty.partyOrPartyRole.@type | Type of the related party. Possible value for user: * Organization * Individual {#partymgmt-PATCH-individual-id__ul_ews_1f4_3hc} Data type: String |
| relatedParty.partyOrPartyRole.id | Sys_id of the related party. * Possible value for `user`: * Company * Department {#partymgmt-PATCH-individual-id__ul_fws_1f4_3hc} * Possible value for `customer`: Account * Possible value for `consumer`: User {#partymgmt-PATCH-individual-id__ul_qdd_nq3_jhc} Data type: String |
| relatedParty.partyOrPartyRole.name | Name of the related party. Data type: String |
| relatedParty.role | Business role that the related party plays in the context of the current entity. Possible values: * Company (if related party is User) * Department (if related party is User) * Account (if related party is Customer) * User (if related party is Consumer) {#partymgmt-PATCH-individual-id__ul_qbh_py3_jhc} Data type: String |
| status | Flag that indicates the status of the individual. Valid values: * active: Individual is in an active status. * inactive: Individual is in an inactive status. {#partymgmt-PATCH-individual-id__ul_hws_1f4_3hc} Data type: Boolean |
| title | Prefix or title of the individual. For example, `Dr.`, `Mr.`, `Ms.`). Data type: String |
[ ]

{#partymgmt-PATCH-individual-id__id_t1b_mm4_3hc}  

### cURL request

Updates an existing individual party record with sys_id, 12345, in the Consumer \[csm_consumer\] or Contact \[customer_contact\] table without replacing the entire resource.

    curl "http://localhost:8080/api/sn_tmf_api/v1/party/Individual/12345" \
    --request PATCH \
    --header "Accept:application/json" \
    --header "Content-Type:application/json" \
    --user 'user':'password'
    --data "{
      \"name\": \"John.Doe\",
      \"givenName\": \"John\",
      \"middleName\": \"A.\",
      \"familyName\": \"Doe\",
      \"gender\": \"male\",
      \"nationality\": \"American\",
      \"title\": \"Mr\",
      \"contactMedium\": [
        {
          \"preferred\": true,
          \"mediumType\": \"email\",
          \"emailAddress\": \"john.doe@gmail.com\",
          \"@type\": \"EmailContactMedium\"
        },
        {
          \"preferred\": false,
          \"mediumType\": \"businessPhone\",
          \"phoneNumber\": \"+1-202-555-0188\",
          \"@type\": \"PhoneContactMedium\"
        },
        {
          \"preferred\": false,
          \"mediumType\": \"homePhone\",
          \"phoneNumber\": \"+1-202-555-0198\",
          \"@type\": \"HomePhoneContactMedium\"
        },
        {
          \"preferred\": false,
          \"mediumType\": \"postalAddress\",
          \"@type\": \"GeographicAddressContactMedium\",
          \"locationId\":\"92656927259338967\",
          \"city\": \"Morristown\",
          \"country\": \"USA\",
          \"postCode\": \"07960\",
          \"stateOrProvince\": \"New Jersey\",
          \"street1\": \"240 Headquarters Plazza\", 
          \"street2\": \"East Tower - 10th Floor\"
        }
      ],
      \"partyCharacteristic\": [
        {
            \"name\": \"notification\",
            \"value\": \"enable\",
            \"valueType\": \"string\",
            \"@type\": \"string\"
        },
        {
            \"name\": \"dateFormat\",
            \"value\": \"MM/DD/YYYY\",
            \"valueType\": \"string\",
            \"@type\": \"string\"
        },
        {
            \"name\": \"timeFormat\",
            \"value\": \"12-hour\",
            \"valueType\": \"string\",
            \"@type\": \"string\"
        },
        {
            \"name\": \"timeZone\",
            \"value\": \"EST\",
            \"valueType\": \"string\",
            \"@type\": \"string\"
        },
        {
            \"name\": \"vip\",
            \"value\": true,
            \"valueType\": \"boolean\",
            \"@type\": \"string\"
        },
        {
            \"name\": \"webServiceAccessOnly\",
            \"value\": false,
            \"valueType\": \"boolean\",
            \"@type\": \"string\"
        },
        {
            \"name\": \"source\",
            \"value\": \"Third-party system\",
            \"valueType\": \"string\",
            \"@type\": \"string\"
        },
        {
            \"name\": \"eduStatus\",
            \"value\": \"Graduated\",
            \"valueType\": \"string\",
            \"@type\": \"string\"
        }
      ],
      \"relatedParty\": [
        {
          \"role\": \"Company\",
          \"partyOrPartyRole\": {
            \"id\": \"86c1f3193790200044e0bfc8bcbe5d95\",
            \"name\": \"Acme Corporation\",
            \"@type\": \"Organization\"
          }
        },
        {
          \"role\": \"Department\",
          \"partyOrPartyRole\": {
            \"id\": \"c3fdd27a7b9822105e0d5494548cb6b0\",
            \"name\": \"Acme Corporation\",
            \"@type\": \"Organization\"
          }
        }
      ],
      \"status\": \"active\",
      \"@type\": \"Individual\",
      \"partyOrPartyRole\": {
        \"role\": \"Consumer\",
        \"@type\":\"Party\"
      }
    }" \

Response body.

    {
       "name": "Jane Smith",
      "givenName": "Jane",
      "middleName": "B.",
      "familyName": "Smith",
      "gender": "female",
      "nationality": "American",
      "title": "Ms",
      "contactMedium": [
        {
          "preferred": true,
          "mediumType": "email",
          "emailAddress": "jane.smith@example.com",
          "@type": "EmailContactMedium"
        },
        {
          "preferred": false,
          "mediumType": "mobilePhone",
          "phoneNumber": "+1-416-555-1234",
          "@type": "PhoneContactMedium"
        },
        {
          "preferred": false,
          "mediumType": "businessPhone",
          "phoneNumber": "+1-416-555-5678",
          "@type": "BusinessPhoneContactMedium"
        },
        {
          "preferred": false,
          "mediumType": "fax",
          "fax": "987654321",
          "@type": "FaxContactMedium"
        },
        {
          "preferred": false,
          "mediumType": "homePhone",
          "phoneNumber": "+1-416-555-4321",
          "@type": "HomePhoneContactMedium"
        },
        {
          "preferred": false,
          "mediumType": "postalAddress",
          "@type": "GeographicAddressContactMedium",
          "locationId": "03e588a17be062105e0d5494548cb68c",
          "city": "Toronto",
          "country": "Canada",
          "postCode": "M5H 2N2",
          "stateOrProvince": "Ontario",
          "street1": "123 Queen St W",
          "street2": "Suite 1500"
        }
      ],
      "externalReference": [
        {
          "externalIdentifierType": "linkedin",
          "id": "http://linkedin.com/in/janesmith"
        }
      ],
      "partyCharacteristic": [
        {
          "name": "notes",
          "value": "General consumer information.",
          "valueType": "string",
          "@type": "string"
        },
        {
          "name": "userName",
          "value": "janesmith",
          "valueType": "string",
          "@type": "string"
        },
        {
          "name": "vip",
          "value": false,
          "valueType": "boolean",
          "@type": "string"
        },
        {
          "name": "source",
          "value": "CRM System",
          "valueType": "string",
          "@type": "string"
        },
        {
          "name": "dateFormat",
          "value": "yyyy-mm-dd",
          "valueType": "string",
          "@type": "string"
        },
        {
          "name": "timeformat",
          "value": "HH:mm:ss (24 hour)",
          "valueType": "string",
          "@type": "string"
        },
        {
          "name": "notification",
          "value": "Disabled",
          "valueType": "string",
          "@type": "string"
        }
      ],
      "relatedParty": [
        {
          "role": "User",
          "partyOrPartyRole": {
            "id": "c456def03710200044e0bfc8bcbe5d99",
            "name": "Global Corp",
            "@type": "Individual"
          }
        }
      ],
      "status": "active",
      "@type": "Individual",
      "partyOrPartyRole": {
        "role": "Consumer",
        "@type": "Party"
      },
       "warning": [
        "relatedParty[0] is incorrect. User does not exist"
      ]
    }

## Party Management - PATCH /api/sn_tmf_api/v1/party/organization/{id} {#ariaid-title8}

Updates an existing individual party record in the Account \[customer_account\] tables without replacing the entire resource.

### URL format

Versioned URL: /api/sn_tmf_api/v1/party/organization/{id}

Default URL: /api/sn_tmf_api/v1/party/organization/{id}

### Supported request parameters

{#partymgmt-PATCH-organization-id__entry__2}{#partymgmt-PATCH-organization-id__version-not_optional-RESTAPI}

| Name | Description |
|-|-|
| api_version | Optional. Version of the endpoint to access. For example, <kbd class="ph userinput">v1</kbd> or <kbd class="ph userinput">v2</kbd>. Only specify this value to use an endpoint version other than the latest. Data type: String |
[Tabelle : 37. Path parameters]

{#partymgmt-PATCH-organization-id__entry__6}

| Name | Description |
|-|-|
| None |   |
[Tabelle : 38. Query parameters]

{#partymgmt-PATCH-organization-id__id_czh_nnj_jhc__entry__2}

| Name | Description |
|-|-|
| @type | This value is always `Organization`. Data type: String |
| contactMedium | List of means for contacting the party. A contact medium represents the way you communicate with or reach a party like an individual or organization. For example, a channel or method of contact associated with that party. Data type: Array of Objects "contactMedium": [ { "@type": "String", "city": "String", "country": "String", "emailAddress": "String", "locationId": "String", "mediumType": "String", "phoneNumber": "String", "postCode": "String", "preferred": "Boolean", "stateOrProvince": "String", "street1": "String", "street2": "String" } ] |
| contactMedium.@type | Type of contact medium. Type of contacting party. Indicates the specific schema or subclass type of the object. Possible values: * BusinessPhoneContactMedium: Business phone number * EmailContactMedium: Email address * FaxPhoneContactMedium: Fax number * GeographicAddressContactMedium: Physical address (street, city, state, postal code) * HomePhoneContactMedium: Home phone number * MobilePhoneContactMedium: Mobile number {#partymgmt-PATCH-organization-id__ul_vwf_1nj_jhc} Data type: String |
| contactMedium.city | City of the organization. Data type: String |
| contactMedium.country | Country of the organization. Data type: String |
| contactMedium.emailAdress | Email address of the organization contact. Data type: String |
| contactMedium.locationId | Sys_id of the location. Table: Location \[cmn_location\] Data type: String |
| contactMedium.mediumType | The type of contact medium. Possible values: * businessPhone * email * faxPhone * homePhone * mobilePhone * postalAddress {#partymgmt-PATCH-organization-id__ul_wwf_1nj_jhc} Data type: String |
| contactMedium.phoneNumber | Phone number of the organization contact. Data type: String |
| contactMedium.postCode | Postcode of the organization. Data type: String |
| contactMedium.preferred | This value is always `false`. Data type: Boolean |
| contactMedium.stateOrProvince | Indicates whether the location is from a state or province. Possible values: * state * province {#partymgmt-PATCH-organization-id__ul_xwf_1nj_jhc} Data type: String |
| contactMedium.street1 | Describes the street. Data type: String |
| contactMedium.street2 | Complementary street description. Data type: String |
| externalReference | List of identifiers of the party in an external system. Data type: Array of Objects "externalReference": [ { "externalIdentifierType": "String", "name": "String" } ] |
| externalReference.externalIdentifierType | Type of entity within the external system. Data type: String |
| externalReference.name | Human-readable name of the external system or reference. Data type: String |
| href | Relative link to the account record (URI). Table: Account \[customer_account\] Data type: String |
| id | Sys_id of the external entity account record. Table: Account \[customer_account\] Data type: String |
| legalName | Legal name of the organization. Data type: String |
| name | Name of the organization. Data type: String |
| partyCharacteristics | List of characteristics that a party can take on. Data type: Array of Objects "partyCharacteristics": [ { "@type": "String" "name": "String", "value": "String", "valueType": "String" } ] |
| partyCharacteristics.@type | When subclassing, @type defines the subclass extensible name. Possible value: * BooleanCharacteristic * IntegerCharacteristic * StringArrayCharacteristic * StringCharacteristic {#partymgmt-PATCH-organization-id__ul_ywf_1nj_jhc} Data type: String |
| partyCharacteristics.name | Name of the party characteristic. Data type: String |
| partyCharacteristics.value | Value of the party characteristic. Data type: String |
| partyCharacteristics.valueType | Data type of the characteristic's value. Data type: String |
| partyOrPartyRole | Roles related to this party are defined where the party is created in the table. For example, `Company` or `Account`. partyOrPartyRole indicates which type of record is retrieved in the operation. If the provided sys_id belongs to the Account \[customer_account\] table, then partyOrPartyRole.role is set to `Account`. Likewise, if the sys_id belongs to the Company \[core_company\] table, then partyOrPartyRole.role is set to `Company`. Data type: Object "partyOrPartyRole": { "@type": "String", "name":"String", "role":"String", } |
| PartyOrPartyRole.@type | This value is always `party`. Data type: String |
| PartyOrPartyRole.name | Defines the type of the account or company. Data type: String |
| PartyOrPartyRole.role | Type of the role. Possible value: * Account * Company {#partymgmt-PATCH-organization-id__ul_zwf_1nj_jhc} Data type: String |
| relatedParty | List of parties or party roles related to this party. Data type: Array of Objects "relatedParty": [ { "partyOrPartyRole": {Object}, "role": "String" } ] |
| relatedParty.partyOrPartyRole | Roles related to this party. Data type: Array of Objects "partyOrPartyRole": [ { "@type": "String", "id": "String", "name": "String", } ] |
| relatedParty.partyOrPartyRole.@type | Type of the related party. Value is always `Organization`. Data type: String |
| relatedParty.partyOrPartyRole.id | Sys_id of the related party. Possible value: * Contact * Other {#partymgmt-PATCH-organization-id__ul_axf_1nj_jhc} Data type: String |
| relatedParty.partyOrPartyRole.name | Name of the related party. Data type: String |
| relatedParty.role | Role played by the related party or party role in the context of the specific entity it's linked to. Possible values: * Contact * Other {#partymgmt-PATCH-organization-id__ul_bxf_1nj_jhc} Data type: String |
| status | Flag that indicates the status of organization. Valid values: * active: Organization is active. * inactive: Organization is inactive. {#partymgmt-PATCH-organization-id__ul_cxf_1nj_jhc} Data type: Boolean |
| tradingName | Name that the organization trades under. Data type: String |
[Tabelle : 39. Request body parameters (XML or JSON)]

{#partymgmt-PATCH-organization-id__id_czh_nnj_jhc}

### Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://servicenow-prod.fluidtopics.net/8lFZRln4AVFM64buP1Dvmg "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#partymgmt-PATCH-organization-id__entry__88}{#partymgmt-PATCH-organization-id__accept-RESTAPI}

| Header | Description |
|-|-|
| Accept | Data format of the response body. Supported types: application/json or application/xml. Default: application/json |
[Tabelle : 40. Request headers]

{#partymgmt-PATCH-organization-id__entry__92}

| Header | Description |
|-|-|
| None |   |
[Tabelle : 41. Response headers]

### Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://servicenow-prod.fluidtopics.net/8lFZRln4AVFM64buP1Dvmg "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#partymgmt-PATCH-organization-id__entry__96}{#partymgmt-PATCH-organization-id__entry-200-status-code}

| Status code | Description |
|-|-|
| 200 | Successful. The request was successfully processed. |
[Tabelle : 42. Status codes]

### Response body parameters (JSON or XML) {#partymgmt-PATCH-organization-id__id_xzr_pm4_3hc}

{#partymgmt-PATCH-organization-id__table_edn_qnn_3hc__entry__2}

| Name | Description |
|-|-|
| @type | This value is always `Organization`. Data type: String |
| contactMedium | List of means for contacting the party. A contact medium represents the way you communicate with or reach a party like an individual or organization. For example, a channel or method of contact associated with that party. Data type: Array of Objects "contactMedium": [ { "@type": "String", "city": "String", "country": "String", "emailAddress": "String", "locationId": "String", "mediumType": "String", "phoneNumber": "String", "postCode": "String", "preferred": "Boolean", "stateOrProvince": "String", "street1": "String", "street2": "String" } ] |
| contactMedium.@type | Type of contact medium. Type of contacting party. Indicates the specific schema or subclass type of the object. Possible values: * BusinessPhoneContactMedium: Business phone number * EmailContactMedium: Email address * FaxPhoneContactMedium: Fax number * GeographicAddressContactMedium: Physical address (street, city, state, postal code) * HomePhoneContactMedium: Home phone number * MobilePhoneContactMedium: Mobile number {#partymgmt-PATCH-organization-id__ul_vxy_4jn_3hc} Data type: String |
| contactMedium.city | City of the organization. Data type: String |
| contactMedium.country | Country of the organization. Data type: String |
| contactMedium.emailAdress | Email address of the organization contact. Data type: String |
| contactMedium.locationId | Sys_id of the location. Table: Location \[cmn_location\] Data type: String |
| contactMedium.mediumType | The type of contact medium. Possible values: * businessPhone * email * faxPhone * homePhone * mobilePhone * postalAddress {#partymgmt-PATCH-organization-id__ul_lq4_fjn_3hc} Data type: String |
| contactMedium.phoneNumber | Phone number of the organization contact. Data type: String |
| contactMedium.postCode | Postcode of the organization. Data type: String |
| contactMedium.preferred | This value is always `false`. Data type: Boolean |
| contactMedium.stateOrProvince | Indicates whether the location is from a state or province. Possible values: * state * province {#partymgmt-PATCH-organization-id__ul_swk_tl4_3hc} Data type: String |
| contactMedium.street1 | Describes the street. Data type: String |
| contactMedium.street2 | Complementary street description. Data type: String |
| externalReference | List of identifiers of the party in an external system. Data type: Array of Objects "externalReference": [ { "externalIdentifierType": "String", "name": "String" } ] |
| externalReference.externalIdentifierType | Type of entity within the external system. Data type: String |
| externalReference.name | Human-readable name of the external system or reference. Data type: String |
| href | Relative link to the account record (URI). Table: Account \[customer_account\] Data type: String |
| id | Sys_id of the external entity account record. Table: Account \[customer_account\] Data type: String |
| legalName | Legal name of the organization. Data type: String |
| name | Name of the organization. Data type: String |
| partyCharacteristics | List of characteristics that a party can take on. Data type: Array of Objects "partyCharacteristics": [ { "@type": "String" "name": "String", "value": "String", "valueType": "String" } ] |
| partyCharacteristics.@type | When subclassing, @type defines the subclass extensible name. Possible value: * BooleanCharacteristic * IntegerCharacteristic * StringArrayCharacteristic * StringCharacteristic {#partymgmt-PATCH-organization-id__ul_tyq_y3n_3hc} Data type: String |
| partyCharacteristics.name | Name of the party characteristic. Data type: String |
| partyCharacteristics.value | Value of the party characteristic. Data type: String |
| partyCharacteristics.valueType | Data type of the characteristic's value. Data type: String |
| partyOrPartyRole | Roles related to this party are defined where the party is created in the table. For example, `Company` or `Account`. partyOrPartyRole indicates which type of record is retrieved in the operation. If the provided sys_id belongs to the Account \[customer_account\] table, then partyOrPartyRole.role is set to `Account`. Likewise, if the sys_id belongs to the Company \[core_company\] table, then partyOrPartyRole.role is set to `Company`. Data type: Object "partyOrPartyRole": { "@type": "String", "name":"String", "role":"String", } |
| PartyOrPartyRole.@type | This value is always `party`. Data type: String |
[...]
